Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.data
Class SSLConfig

    java.lang.Object
      com.endeca.portal.data.SSLConfig

All Implemented Interfaces:
  java.io.Serializable

    public class SSLConfig

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CA_FILE_PROPERTY`
`static java.lang.String` | `CA_PASS_PROPERTY`
`static java.lang.String` | `CERT_FILE_PROPERTY`
`static java.lang.String` | `CERT_PASS_PROPERTY`

Constructor Summary
`SSLConfig(org.json.JSONObject json)`

Method Summary
`java.io.File` | `getCAFile()`
`java.lang.String` | `getCAPassword()`
`java.io.File` | `getCertFile()`
`java.lang.String` | `getCertPassword()`
`void` | `setCAFile(java.io.File caFile)`
`void` | `setCAPassword(java.lang.String caPassword)`
`void` | `setCertFile(java.io.File certFile)`
`void` | `setCertPassword(java.lang.String certPassword)`
`static boolean` | `verifySSLHostname(java.lang.String urlHostname, javax.net.ssl.SSLSession sslSession)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CA_FILE_PROPERTY

    public static final java.lang.String CA_FILE_PROPERTY

See Also:
  Constant Field Values

### CA_PASS_PROPERTY

    public static final java.lang.String CA_PASS_PROPERTY

See Also:
  Constant Field Values

### CERT_FILE_PROPERTY

    public static final java.lang.String CERT_FILE_PROPERTY

See Also:
  Constant Field Values

### CERT_PASS_PROPERTY

    public static final java.lang.String CERT_PASS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### SSLConfig

    public SSLConfig(org.json.JSONObject json)
              throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getCAFile

    public java.io.File getCAFile()

### setCAFile

    public void setCAFile(java.io.File caFile)

### getCAPassword

    public java.lang.String getCAPassword()

### setCAPassword

    public void setCAPassword(java.lang.String caPassword)

### getCertFile

    public java.io.File getCertFile()

### setCertFile

    public void setCertFile(java.io.File certFile)

### getCertPassword

    public java.lang.String getCertPassword()

### setCertPassword

    public void setCertPassword(java.lang.String certPassword)

### verifySSLHostname

    public static boolean verifySSLHostname(java.lang.String urlHostname,
                                            javax.net.ssl.SSLSession sslSession)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD